join non-spatial tabel
Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 21238

Description

When one join a non-spatial table to attribute table it is possible to run a selection of features by expression using the fields of the

non-spatial table, but it is not possible to run a query using the fields of the non-spatial table, unless the layer is saved with a new name. I

suggest to enable queries using the fields of the non-spatial table without save the layer.

Associated revisions

Revision acedb39c - 2016-06-10 06:47 AM - Nyall Dawson

Fix joined attributes can't be used in filter expressions

(fix #13176)

Revision 607b1df4 - 2016-06-10 10:49 AM - Nyall Dawson

Fix joined attributes can't be used in filter expressions

(fix #13176)

History

#1 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#2 - 2016-06-09 09:48 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"acedb39c5a19509b91a2247b70db3d5da7c5b105".
